Public Class usrcntlVerzollungsunterlagen
    Implements FormualrInterface

    Public Event CHANGED(name, value)
    Public Event KDNR_CHANGED(kdnr)
    Public Event DELETE(c As Control)
    Public Event MOVE_UP(c As Control)
    Public Event MOVE_DOWN(c As Control)


    Public KdFirma As String = ""
    Public SENDUNG As VERAG_PROG_ALLGEMEIN.cSendungen = Nothing
    Public AVISO As VERAG_PROG_ALLGEMEIN.cAviso = Nothing

    Public ROLLE As String = ""
    Public POST_ID = -1

    Public BeimErstellenSpeichern = False

    Public KdNR As Integer = -1
    Public Sub ChangeKDNr(kdnr As Integer) _
       Implements FormualrInterface.ChangeKDNr
        'initKdNR(kdnr)
        txtFirma.KdNr = kdnr
    End Sub

    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Sub New(param() As Object)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        If param.Length > 0 AndAlso param(0) IsNot Nothing Then KdNR = param(0)
        If param.Length > 1 Then KdFirma = param(1)
        If param.Length > 2 Then SENDUNG = param(2)
        If param.Length > 3 Then AVISO = param(3)
        If param.Length > 4 Then ROLLE = param(4)
        If param.Length > 5 Then POST_ID = param(5)
        If param.Length > 6 Then BeimErstellenSpeichern = param(6)
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    'DimKdNR As Integer = -1
    Sub initControlsHandler()
        For Each c In Me.Controls
            Select Case c.GetType.ToString
                Case GetType(VERAG_PROG_ALLGEMEIN.MyTextBox).ToString
                    AddHandler DirectCast(c, VERAG_PROG_ALLGEMEIN.MyTextBox).Leave, Sub()
                                                                                        RaiseEvent CHANGED(c.name, c.text)
                                                                                    End Sub
                Case GetType(VERAG_PROG_ALLGEMEIN.MyComboBox).ToString
                    AddHandler DirectCast(c, VERAG_PROG_ALLGEMEIN.MyComboBox).SelectedIndexChanged, Sub()
                                                                                                        RaiseEvent CHANGED(c.name, c._value)
                                                                                                    End Sub
                Case GetType(TextBox).ToString
                    AddHandler DirectCast(c, TextBox).Leave, Sub()
                                                                 RaiseEvent CHANGED(c.name, c.text)
                                                             End Sub
            End Select
        Next
    End Sub


    Private Sub btnDel_Click(sender As Object, e As EventArgs) Handles btnDel.Click
        RaiseEvent DELETE(Me)
    End Sub

    Private Sub btnup_Click(sender As Object, e As EventArgs) Handles btnUp.Click
        RaiseEvent MOVE_UP(Me)
    End Sub

    Private Sub btnDown_Click(sender As Object, e As EventArgs) Handles btnDown.Click
        RaiseEvent MOVE_DOWN(Me)
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs)

    End Sub

    Private Sub usrcntlVollmacht_AT_Load(sender As Object, e As EventArgs) Handles Me.Load

        txtFirma.initKdBox(Me.FindForm)
        KdInAuftrag.initKdBox(Me.FindForm)

        cbxBeimErstellenSpeichern.Checked = BeimErstellenSpeichern
        AddHandler txtFirma.PropertyChanged, Sub()
                                                 Me.KdNR = txtFirma.KdNr_value
                                                 If txtFirma.KdNr_value > 0 Then
                                                     If txtFirma.KdData_ADRESSEN IsNot Nothing Then
                                                         Dim ADRESSE = txtFirma.KdData_ADRESSEN
                                                         ' txtFirma.Text = If(ADRESSE.Name_1, ADRESSE.Ordnungsbegriff)
                                                         txtFirma2.Text = If(ADRESSE.Name_2, "")
                                                         txtAdresse1.Text = If(ADRESSE.Straße, "")
                                                         txtAdresse2.Text = (If(ADRESSE.LandKz, "") & " " & If(ADRESSE.PLZ, "") & " " & If(ADRESSE.Ort, "")).ToString.Trim
                                                         Dim sql As New VERAG_PROG_ALLGEMEIN.SQL
                                                         txtAdresse3.Text = If(ADRESSE.LandKz IsNot Nothing, sql.getValueTxtBySql("SELECT isnull([Land],'')  FROM [Währungstabelle] WHERE [LandKz]='" & ADRESSE.LandKz & "'", "FMZOLL"), "")
                                                     End If
                                                 End If
                                                 RaiseEvent KDNR_CHANGED(KdNR)
                                             End Sub
        initControlsHandler()
        'cboFirma.Items.Clear()
        'cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Deutsch", "DE"))
        'cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Englisch", "EN"))
        If KdNR > 0 Then txtFirma.KdNr = KdNR

        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Spedition AG", "AG"))
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Customs Service GmbH", "CS"))
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("IMEX Customs Service GmbH", "IMEX"))
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("UNISPED Speditions GmbH", "UNISPED"))
        cboFirma.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AMBAR Logistic Services GmbH", "AMBAR"))
        cboFirma.changeItem("AG")
        '  cboFiliale.fillWithSQL(" SELECT FilialenNr, Grenzstelle FROM Filialen WHERE Fil_Status='A' ORDER BY FilialenNr ", , "FMZOLL", True)


        cboFiliale.fillWithSQL(" SELECT FilialenNr, Grenzstelle FROM Filialen WHERE Fil_Status='A' ORDER BY FilialenNr ", , "FMZOLL", True)

        txtFax.Text = "+43 77 11 / 31073"
        Select Case VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
            Case "IMEX" : cboFiliale._allowedValuesFreiText = {"5501"} : txtFax.Text = "+43 7711 31630-1"
            Case "UNISPED" : cboFiliale._allowedValuesFreiText = {"5601"} : cboFirma.changeItem("UNISPED") : cboFirma.Enabled = False : txtFax.Text = "+43/7711/2677-27"
            Case "ATILLA" : cboFiliale._allowedValuesFreiText = {"4801"} : cboFirma.changeItem("ATILLA") : cboFirma.Enabled = False ': txtFax.Text = "+43 77 11 / 31073"
            Case "AMBAR" : cboFiliale._allowedValuesFreiText = {"5701"} : cboFirma.changeItem("AMBAR") : cboFirma.Enabled = False : txtFax.Text = "+49 8651 9962493" : txtAnlage3.Text = ""
        End Select

        txtBearbeiter.Text = If(VERAG_PROG_ALLGEMEIN.cAllgemein.USRNAME, "")

        If VERAG_PROG_ALLGEMEIN.cAllgemein.MITARBEITER IsNot Nothing Then
            txtTel.Text = If(VERAG_PROG_ALLGEMEIN.cAllgemein.MITARBEITER.mit_durchwahl, "+43 77 11 / 27 77 DW 55")
            txtEmail.Text = If(VERAG_PROG_ALLGEMEIN.cAllgemein.MITARBEITER.mit_email, "verrechnung@verag.ag")


        End If
        btnNEU.Visible = False
        If POST_ID > 0 Then
            Dim VK As New VERAG_PROG_ALLGEMEIN.cPostversand(POST_ID)
            If VK IsNot Nothing Then setValues(VK)
            btnNEU.Visible = True
        Else

            If KdNR > 0 Then
                txtFirma.KdNr = KdNR
            Else
                txtFirma.Text = KdFirma
            End If

            '    'txtWarenbez.Text = If(SENDUNG.tblSnd_Warenbezeichnung, "")
            '    '  txtAnzVerp.Text = If(SENDUNG.tblSnd_Colli, "")
            '    ' txtGewicht.Text = If(SENDUNG.tblSnd_Gewicht, "")
            '    txtAbsender.Text = If(SENDUNG.tblSnd_Absender, "")
            '    If SENDUNG.AbfertigungsNr > 0 Then
            '        '   txtAbfertigungsNr.Text = SENDUNG.FilialenNr & "/" & SENDUNG.AbfertigungsNr
            '        txtAbfertigungsNr.Text = SENDUNG.AbfertigungsNr
            '        If SENDUNG.FilialenNr > 0 Then
            '            cboFiliale.changeItem(SENDUNG.FilialenNr)
            '            Dim VK = VERAG_PROG_ALLGEMEIN.cPostversand.LOADByFilialeAbfNr(SENDUNG.FilialenNr, SENDUNG.AbfertigungsNr, ROLLE)
            '            If VK IsNot Nothing Then setValues(VK)

            '        End If
            '    End If

            'End If
            If AVISO IsNot Nothing Then
                txtLKW.Text = If(AVISO.LKW_Nr, "")
                'txtUnternehmer.Text = If(AVISO.Frächter, "")
                'cbxLKWWartet.Checked = (AVISO.Status = VERAG_PROG_ALLGEMEIN.cGlobal.Status_Ankunft)
                If AVISO.Auftraggeber_KdNr > 0 Then
                    KdInAuftrag.KdNr = AVISO.Auftraggeber_KdNr
                Else
                    KdInAuftrag.Text = If(AVISO.Auftraggeber, "")

                End If


            End If

            If SENDUNG IsNot Nothing Then

                cboFiliale.changeItem(SENDUNG.FilialenNr)
                txtAbfertigungsNr.Text = SENDUNG.AbfertigungsNr

                If SENDUNG.tblSnd_EmpfaengerKdNr > 0 Then
                    kdRgEmpfaenger.KdNr = SENDUNG.tblSnd_EmpfaengerKdNr
                Else
                    kdRgEmpfaenger.Text = SENDUNG.tblSnd_Empfaenger
                End If
                txtAvisiererAuftragsNr.Text = If(SENDUNG.tblSnd_KdAuftragsNrAvisierer, "")

                'txtUnternehmer.Text = If(AVISO.Frächter, "")
                'cbxLKWWartet.Checked = (AVISO.Status = VERAG_PROG_ALLGEMEIN.cGlobal.Status_Ankunft)
            End If
        End If

    End Sub

    Private Sub pic_Click(sender As Object, e As EventArgs) Handles pic.Click
        FormularManagerNEU.genPDF(Me, True)
    End Sub

  

    Private Sub PictureBox1_Click(sender As Object, e As EventArgs) Handles PictureBox1.Click
        FormularManagerNEU.genPDF(Me, , , , True)
    End Sub

    Private Sub btnStandardPreiseLaden_Click(sender As Object, e As EventArgs) Handles btnStandardPreiseLaden.Click
        If FormularManagerNEU.savePostversand(Me, POST_ID) Then
            btnNEU.Visible = True
            lblCRsaved.Text = "(gespeichert)"
            lblCRsaved.ForeColor = Color.Green
        End If
    End Sub



    Sub getValues(ByRef cPostversand As VERAG_PROG_ALLGEMEIN.cPostversand)
        cPostversand.post_Empfaenger_KdNr = If(Me.KdNR > 0, Me.KdNR, Nothing)

        cPostversand.post_FilialenNr = Me.cboFiliale._value
        cPostversand.post_AbfertigungsNr = Me.txtAbfertigungsNr.Text
        cPostversand.post_Datum = Now
        cPostversand.post_ContainerLKWNr = Me.txtLKW.Text
        cPostversand.post_Rolle = Me.ROLLE

        If SENDUNG IsNot Nothing Then
            cPostversand.post_SendungsId = SENDUNG.tblSnd_SendungID
        End If
        If AVISO IsNot Nothing Then cPostversand.post_AvisoId = AVISO.AvisoID


        cPostversand.post_FirmaInAuftragKdnr = Me.KdInAuftrag.KdNr
        cPostversand.post_FirmaInAuftrag = Me.KdInAuftrag.Text

        cPostversand.post_Empfaenger_KdNr = txtFirma.KdNr
        cPostversand.post_Empfaenger_Name1 = Me.txtFirma.Text
        cPostversand.post_Empfaenger_Name2 = Me.txtFirma2.Text
        cPostversand.post_Empfaenger_Adresse1 = Me.txtAdresse1.Text
        cPostversand.post_Empfaenger_Adresse2 = Me.txtAdresse2.Text
        cPostversand.post_Empfaenger_Adresse3 = Me.txtAdresse3.Text
        cPostversand.post_art = ""

        cPostversand.post_SachbearbeiterId = VERAG_PROG_ALLGEMEIN.cAllgemein.USRID
        cPostversand.post_Sachbearbeiter = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME


        cPostversand.post_ReferenzPaketdienst = txtRefNr.Text
        cPostversand.post_RgEmpfaenger_KdNr = kdRgEmpfaenger.KdNr
        cPostversand.post_RgEmpfaenger_Name = kdRgEmpfaenger.Text
        If cPostversand.post_RgEmpfaenger_Name.length > 40 Then
            cPostversand.post_RgEmpfaenger_Name = cPostversand.post_RgEmpfaenger_Name.ToString.Substring(0, 40)
        End If
        cPostversand.post_KdAuftrNrAvisierer = Me.txtAvisiererAuftragsNr.Text

        'VK.vk_Rolle = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(ROLLE)
        'VK.vk_Anrede = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtHerrFrau.Text)
        'VK.vk_Firmenwortlauf = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtFirma.Text)
        'VK.vk_Aresse1 = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtAdresse1.Text)
        'VK.vk_Adresse2 = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtAdresse2.Text)
        'VK.vk_UID = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtUid.Text)
        'VK.vk_EORI = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtEori.Text)
        'VK.vk_Tel = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtTel.Text)
        'VK.vk_Fax = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtFax.Text)
        'VK.vk_Email = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtEmail.Text)
        'VK.vk_RgNr = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtRechnungsnummern.Text)
        'VK.vk_Absender = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtAbsender.Text)
        'VK.vk_ATREUR1 = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtATUEur1.Text)
        'VK.vk_Fraechter = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtUnternehmer.Text)
        'VK.vk_Anzahl = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtAnzVerp.Text)
        'VK.vk_Warenbezeichnung = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtWarenbez.Text)
        'VK.vk_Colli = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtGewicht.Text)
        'VK.vk_FaStNr = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtFaStNr.Text)
        'VK.vk_LKW = txtLKWKennz.Text

        'VK.vk_Berechnung_Rechnungsbetrag = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(lblRechnungsbetrag._value)
        'VK.vk_Berechnung_FrachtkostAusland = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtFrachtkostenAusl._value)
        'VK.vk_Berechnung_ZollProz = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtZollProzent._value)
        'VK.vk_Berechnung_FrachtkostInland = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtFrachtkostenInl._value)
        'VK.vk_Berechnung_AbgabenSonst_Bez = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtEustSonstText.Text)
        'VK.vk_Berechnung_AbgabenSonst_Betrag = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtEustSonstBetrag._value)
        'VK.vk_Berechnung_EUSTProz = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtEustProzent._value)
        'VK.vk_Berechnung_KostenSonst_Bez = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtAndereAbgabenText.Text)
        'VK.vk_Berechnung_KostenSonst_Betrag = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtAndereAbgabenBetrag._value)
        'VK.vk_Berechnung_Verzollung = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtVerzollungskosten._value)
        'VK.vk_Berechnung_jeWeitere = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtWeitereTarifPos._value)
        'VK.vk_Berechnung_ATLAS = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtATLAS._value)
        'VK.vk_Berechnung_Clearing = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtClearing._value)
        'VK.vk_Berechnung_korrRg = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtKorrRechnung._value)
        'VK.vk_Berechnung_Übersetzung = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtUebersetzungRg._value)
        'VK.vk_Berechnung_Aviso = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtAviso._value)
        'VK.vk_Berechnung_SVS = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtSvs._value)
        'VK.vk_Berechnung_SonstigeKosten = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtSonstigeKosten._value)
        'VK.vk_Berechnung_SonstigeKostenText = VERAG_PROG_ALLGEMEIN.SQL.isNullNothing(txtSonstigeKostenText.Text)
        'VK.vk_Berechnung_PP = VERAG_PROG_ALLGEMEIN.SQL.isNullNothingDbl(txtPapierePorti._value)


    End Sub


    Sub setValues(ByVal cPostversand As VERAG_PROG_ALLGEMEIN.cPostversand)
        txtAnlage1.Text = ""
        txtAnlage2.Text = ""
        txtAnlage3.Text = ""
        txtAnlage4.Text = ""
        txtAnlage5.Text = ""
        txtAnlage6.Text = ""

        Me.KdNR = If(cPostversand.post_Empfaenger_KdNr, -1)
        Me.txtFirma.KdNr = If(cPostversand.post_Empfaenger_KdNr, -1)
        Me.KdInAuftrag.KdNr = If(cPostversand.post_FirmaInAuftragKdnr, -1)

        Me.cboFiliale.changeItem(If(cPostversand.post_FilialenNr, ""))
        Me.txtAbfertigungsNr.Text = If(cPostversand.post_AbfertigungsNr, "")



        Me.txtLKW.Text = If(cPostversand.post_ContainerLKWNr, "")
        Me.txtFirma.Text = If(cPostversand.post_Empfaenger_Name1, "")
        Me.txtFirma2.Text = If(cPostversand.post_Empfaenger_Name2, "")
        Me.txtAdresse1.Text = If(cPostversand.post_Empfaenger_Adresse1, "")
        Me.txtAdresse2.Text = If(cPostversand.post_Empfaenger_Adresse2, "")
        Me.txtAdresse3.Text = If(cPostversand.post_Empfaenger_Adresse3, "")
        Me.KdInAuftrag.Text = If(cPostversand.post_FirmaInAuftrag, "")


        If cPostversand.post_RgEmpfaenger_KdNr IsNot Nothing Then
            kdRgEmpfaenger.KdNr = cPostversand.post_RgEmpfaenger_KdNr
        Else
            kdRgEmpfaenger.KdNr = -1
        End If
        kdRgEmpfaenger.Text = If(cPostversand.post_RgEmpfaenger_Name, "")

        txtAvisiererAuftragsNr.Text = If(cPostversand.post_KdAuftrNrAvisierer, "")

        txtRefNr.Text = If(cPostversand.post_ReferenzPaketdienst, "")


        'Me.txtAbfertigungsNr.Text = If(cPostversand.post_art, "")

        'M.Text = If(cPostversand.post_Empfaenger_Adresse3, "")
        'Me.txtAdresse3.Text = If(cPostversand.post_Empfaenger_Adresse3, "")

        'cPostversand.post_SachbearbeiterId = VERAG_PROG_ALLGEMEIN.cAllgemein.USRID
        'cPostversand.post_Sachbearbeiter = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME
        'ROLLE = If(VK.vk_Rolle, "")

        'txtHerrFrau.Text = If(VK.vk_Anrede, "")
        'txtFirma.Text = If(VK.vk_Firmenwortlauf, "")
        'txtAdresse1.Text = If(VK.vk_Aresse1, "")
        'txtAdresse2.Text = If(VK.vk_Adresse2, "")
        'txtUid.Text = If(VK.vk_UID, "")
        'txtEori.Text = If(VK.vk_EORI, "")
        'txtTel.Text = If(VK.vk_Tel, "")
        'txtFax.Text = If(VK.vk_Fax, "")
        'txtEmail.Text = If(VK.vk_Email, "")
        'txtRechnungsnummern.Text = If(VK.vk_RgNr, "")
        'txtAbsender.Text = If(VK.vk_Absender, "")
        'txtATUEur1.Text = If(VK.vk_ATREUR1, "")
        'txtUnternehmer.Text = If(VK.vk_Fraechter, "")
        'txtAnzVerp.Text = If(VK.vk_Anzahl, "")
        'txtWarenbez.Text = If(VK.vk_Warenbezeichnung, "")
        'txtGewicht.Text = If(VK.vk_Colli, "")
        'txtFaStNr.Text = If(VK.vk_FaStNr, "")
        'txtLKWKennz.Text = If(VK.vk_LKW, "")

        'lblRechnungsbetrag._value = If(VK.vk_Berechnung_Rechnungsbetrag, "")
        'txtFrachtkostenAusl._value = If(VK.vk_Berechnung_FrachtkostAusland, "")
        'txtZollProzent._value = If(VK.vk_Berechnung_ZollProz, "")
        'txtFrachtkostenInl._value = If(VK.vk_Berechnung_FrachtkostInland, "")
        'txtEustSonstText.Text = If(VK.vk_Berechnung_AbgabenSonst_Bez, "")
        'txtEustSonstBetrag._value = If(VK.vk_Berechnung_AbgabenSonst_Betrag, "")
        'txtEustProzent._value = If(VK.vk_Berechnung_EUSTProz, "")
        'txtAndereAbgabenText.Text = If(VK.vk_Berechnung_KostenSonst_Bez, "")
        'txtAndereAbgabenBetrag._value = If(VK.vk_Berechnung_KostenSonst_Betrag, "")
        'txtVerzollungskosten._value = If(VK.vk_Berechnung_Verzollung, "")
        'txtWeitereTarifPos._value = If(VK.vk_Berechnung_jeWeitere, "")
        'txtATLAS._value = If(VK.vk_Berechnung_ATLAS, "")
        'txtClearing._value = If(VK.vk_Berechnung_Clearing, "")
        'txtKorrRechnung._value = If(VK.vk_Berechnung_korrRg, "")
        'txtUebersetzungRg._value = If(VK.vk_Berechnung_Übersetzung, "")
        'txtAviso._value = If(VK.vk_Berechnung_Aviso, "")
        'txtSvs._value = If(VK.vk_Berechnung_SVS, "")
        'txtSonstigeKosten._value = If(VK.vk_Berechnung_SonstigeKosten, "")
        'txtSonstigeKostenText.Text = If(VK.vk_Berechnung_SonstigeKostenText, "Sonstige Kosten")

        'txtPapierePorti._value = If(VK.vk_Berechnung_PP, "")

    End Sub

    Public Function ValidValues(ByRef err) As Boolean
        ValidValues = True
        '  If Not IsNumeric(cboFiliale._value) Then err &= "Vorauskasse: Filiale auswählen!" & vbNewLine : cboFiliale.Focus() : ValidValues = False
        '  If Not IsNumeric(txtAbfertigungsNr.Text) Then err &= "Vorauskasse: AbfertigungsNr. auswählen!" & vbNewLine : txtAbfertigungsNr.Focus() : ValidValues = False
        If txtFirma.Text = "" Then err &= "Verz.Unterl.: Empfänger auswählen!" & vbNewLine : cboFiliale.Focus() : ValidValues = False
        If txtLKW.Text = "" Then err &= "Verz.Unterl.: Empfänger auswählen!" & vbNewLine : cboFiliale.Focus() : ValidValues = False
    End Function

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Dim f As New frmPostEinschreiben
        f.Show()
    End Sub

    Private Sub cboFiliale_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboFiliale.SelectedIndexChanged
        If cboFirma.Enabled Then

            Select Case cboFiliale._value
                Case "4805" : cboFirma.changeItem("CS")
                Case "5501" : cboFirma.changeItem("IMEX")
                Case "5601" : cboFirma.changeItem("UNISPED")
                Case "5701" : cboFirma.changeItem("AMBAR")
                Case Else
                    cboFirma.changeItem("AG")
            End Select
        End If
    End Sub

    Private Sub btnNEU_Click(sender As Object, e As EventArgs) Handles btnNEU.Click
        POST_ID = -1
        setValues(New VERAG_PROG_ALLGEMEIN.cPostversand)
        btnNEU.Visible = False
    End Sub

    Private Sub cboFirma_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboFirma.SelectedIndexChanged
        Select Case cboFirma._value
            Case "IMEX" : txtFirma._UseFIRMA = cboFirma._value : KdInAuftrag._UseFIRMA = cboFirma._value
            Case "UNISPED" : txtFirma._UseFIRMA = cboFirma._value : KdInAuftrag._UseFIRMA = cboFirma._value
            Case "AMBAR" : txtFirma._UseFIRMA = cboFirma._value : KdInAuftrag._UseFIRMA = cboFirma._value
            Case Else : txtFirma._UseFIRMA = "VERAG" : KdInAuftrag._UseFIRMA = "VERAG"
        End Select

        setAnlagenText()

    End Sub

    Private Sub setAnlagenText()

        Select Case cboFirma._value
            Case "AMBAR"
                txtAnlage1.Text = "Original Präferenz"
                txtAnlage2.Text = "Lieferanten-Rechnung"
                txtAnlage3.Text = "Zollbeleg"

            Case Else

                txtAnlage1.Text = "Zollbeleg"
                txtAnlage2.Text = "Lieferanten-Rechnung"
                txtAnlage3.Text = "Original Präferenz"

        End Select



    End Sub
End Class
